# Uses of Interface
java.security.KeyStore.Entry

Packages that use KeyStore.Entry
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of KeyStore.Entry in java.security

Classes in java.security that implement KeyStore.Entry
Modifier and Type
Class
Description
`static final class`
`KeyStore.PrivateKeyEntry`
A `KeyStore` entry that holds a `PrivateKey` and corresponding certificate chain.
`static final class`
`KeyStore.SecretKeyEntry`
A `KeyStore` entry that holds a `SecretKey`.
`static final class`
`KeyStore.TrustedCertificateEntry`
A `KeyStore` entry that holds a trusted `Certificate`.
Methods in java.security that return KeyStore.Entry
Modifier and Type
Method
Description
`KeyStore.Entry`
KeyStoreSpi.`engineGetEntry(String alias, KeyStore.ProtectionParameter protParam)`
Gets a `KeyStore.Entry` for the specified alias with the specified protection parameter.
`final KeyStore.Entry`
KeyStore.`getEntry(String alias, KeyStore.ProtectionParameter protParam)`
Gets a keystore `Entry` for the specified alias with the specified protection parameter.
Methods in java.security with parameters of type KeyStore.Entry
Modifier and Type
Method
Description
`void`
KeyStoreSpi.`engineSetEntry(String alias, KeyStore.Entry entry, KeyStore.ProtectionParameter protParam)`
Saves a `KeyStore.Entry` under the specified alias.
`final void`
KeyStore.`setEntry(String alias, KeyStore.Entry entry, KeyStore.ProtectionParameter protParam)`
Saves a keystore `Entry` under the specified alias.
Method parameters in java.security with type arguments of type KeyStore.Entry
Modifier and Type
Method
Description
`boolean`
KeyStoreSpi.`engineEntryInstanceOf(String alias, Class<? extends KeyStore.Entry> entryClass)`
Determines if the keystore `Entry` for the specified `alias` is an instance or subclass of the specified `entryClass`.
`final boolean`
KeyStore.`entryInstanceOf(String alias, Class<? extends KeyStore.Entry> entryClass)`
Determines if the keystore `Entry` for the specified `alias` is an instance or subclass of the specified `entryClass`.